package de.unihalle.informatik.Alida.workflows;

import java.lang.reflect.Field;

import de.unihalle.informatik.Alida.annotations.Parameter.Direction;
import de.unihalle.informatik.Alida.annotations.Parameter.ExpertMode;
import de.unihalle.informatik.Alida.operator.ALDOpParameterDescriptor;

/**
 * Extends the class<code>ALDOpParameterDescriptor</code> to hold the value
 * of a parameter.
 * <p>
 * Note: the member variable <code>field</code> is not used by this class.
 * 
 * @author posch
 *
 */
public class ALDWorkflowParameterDescriptor extends ALDOpParameterDescriptor {
	/**
	 * Holds the value of the parameter
	 */
	private Object value;
	
	public ALDWorkflowParameterDescriptor( ALDOpParameterDescriptor descriptor) {
		this( descriptor.getName(), descriptor.getDirection(),
				descriptor.getSupplemental(), descriptor.getMyclass(),
				descriptor.getExplanation(), descriptor.getLabel(),
				descriptor.isRequired(), descriptor.getDefaultValue(),
				descriptor.getField(), descriptor.getDataIOOrder(), 
				descriptor.getHandlingMode());
	}
	
	public ALDWorkflowParameterDescriptor(String name, Direction direction,
			Boolean supplemental, Class<?> cl, String explanation,
			String label, boolean required, Object defaultValue, Field field,
			int guiOrder, ExpertMode mode) {
		super(name, direction, supplemental, cl, explanation, label, required,
				defaultValue, field, guiOrder, mode);
		this.value = null;
	}

	/**
	 * @return the value
	 */
	public Object getValue() {
		return value;
	}

	/**
	 * @param value the value to set
	 */
	public void setValue(Object value) {
		this.value = value;
	}

}
